module Thingdeck
  module Collections
    class Thing < NestedItem
      def initialize(wrapper)
        super(wrapper, 'collections', 'things')
      end

      def remove(cid, params = {})
        @wrapper.perform_request { |c| c.delete(url(cid), params) }
      end
    end
  end
end
